---
title: "Terminate QoD session"
url: "https://developer.pxg.konera.com/apis/quality-on-demandglobal-0/versions/8a754c81-98d0-4120-a470-37db10574c94/operations/deleteQodSession"
---

> Full API specification: https://developer.pxg.konera.com/apis/quality-on-demandglobal-0/versions/8a754c81-98d0-4120-a470-37db10574c94.md

# Terminate QoD session

`DELETE` `/qod/v0.1/sessions/{sessionId}`

Operation ID: `deleteQodSession`

Terminates an active Quality on Demand session.

## Path parameters

- `sessionId` (string, required)

## Header parameters

- `x-correlation-id` (string, optional) - Correlation ID for request tracing

## Responses

- `204` - QoD session terminated
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Session not found
- `500` - Internal server error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Quality on Demand
  version: 0.1.0
servers:
  - url: https://api.pxg.konera.com/camara
    description: Production CAMARA API Gateway
paths:
  /qod/v0.1/sessions/{sessionId}:
    delete:
      tags:
        - Quality on Demand
      summary: Terminate QoD session
      description: Terminates an active Quality on Demand session.
      operationId: deleteQodSession
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
            example: qod-session-123456
        - name: x-correlation-id
          in: header
          required: false
          description: Correlation ID for request tracing
          schema:
            type: string
      responses:
        "204":
          description: QoD session terminated
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: Session not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "500":
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - oauth2:
      - qod:request
components:
  schemas:
    Error:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          example: 400
        code:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: Invalid request
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.konera.com/oauth2/token
          scopes:
            qod:request: Request Quality on Demand sessions
```
